
Foreman - Bug #2826

New config templates don't save because the set_code() method empties the div

07/24/2013 01:47 PM - Sam Kottler

Status: Closed   

Priority: Normal   

Assignee: Sam Kottler   

Category: Templates   

Target version: 1.2.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

https://github.com/theforeman/foreman/pull/813

Related issues:

Related to Foreman - Bug #2797: Saving provisioning template ruins the templa... Closed 07/16/2013

Associated revisions

Revision ceabd2b3 - 07/24/2013 02:43 PM - Sam Kottler

Fixes #2826: only run set_code() on submit if the config template editor is already in diff mode

Revision d08866b6 - 07/24/2013 04:40 PM - Sam Kottler

Fixes #2826: only run set_code() on submit if the config template editor is already in diff mode

(cherry picked from commit ceabd2b37d1924a45ee20de100d0e5cb8f39845d)

History

#1 - 07/24/2013 02:21 PM - Sam Kottler

- Status changed from New to Ready For Testing

#2 - 07/24/2013 05:17 PM - Sam Kottler

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d08866b6afc93056474cb6ad0e568d604fd236d4.
